import request from "@/utils/request";
import { useUserStore } from "@/stores/user";

const userStore = useUserStore()

/**
 * 稽查 - 获取问题清单
 */
export function getTacQuestionList() {
    const userid = userStore.userId
    return request({
        url: '/tac/pblm/info/pageNew',
        method: 'POST',
        data: {"count":"false",
            "orderBy":"INTM",
            "pageNum":1,
            "pageSize":200,
            "pblmQlttvCd":0,
            "persId":userid,
            "sn":0,
            "year":0
        }
    })
}


/**
 * 稽查 - 获取违法事项列表
 * {"class1Name":"","pageNum":2,"pageSize":20,"pblmType":"1"}
 */
export function getIllegalActList(data) {
    data.realPageNum = 0
    return request({
        url: '/tac/obj/pblmstb/page',
        method: 'POST',
        data: data
    })
}
