const baseList = [
    { type: '工程', inspectTypes: ['008'], columns: [{label:'工程名称',key:'name'}, {label:'工程地址', key:''}], icon: 'location', nameColumn: 'name', description: '工程地址：{location}', description2: '工程类型：{type}<br/>工程地址：{location}' },
];

/**
 * 根据督察类型获取基础信息
 * @param {督察类型} inspectType 
 * @returns 
 */
function getBaseByInspectType(inspectType) {
    return baseList.find(base => base.inspectTypes.includes(inspectType));
}

export { getBaseByInspectType, }